summaryrefslogtreecommitdiff
path: root/x11-wm
diff options
context:
space:
mode:
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/dswm/Manifest3
-rw-r--r--x11-wm/dswm/dswm-0.0.3.ebuild60
-rw-r--r--x11-wm/dswm/files/README.Gentoo8
3 files changed, 71 insertions, 0 deletions
diff --git a/x11-wm/dswm/Manifest b/x11-wm/dswm/Manifest
new file mode 100644
index 0000000..192d777
--- /dev/null
+++ b/x11-wm/dswm/Manifest
@@ -0,0 +1,3 @@
+AUX README.Gentoo 238 RMD160 fa6572bb56d61fb3b0f5a5b94c23c3435ee36d59 SHA1 1c135edac026bf7784e083b9f6a837a17706375a SHA256 14163e2306da972d198c6fdba60ab087497249a05b0bc27567cbf15588c67a15
+DIST dswm-0.0.3-git.tar.gz 258723 RMD160 9ce59ddec0481861849c11c83aa116875ba1775a SHA1 aaed90c25d8c95070b2d3355291c4d2b22365ba6 SHA256 4ccc063ac10fbd4f5b30c24988c2b35665677b3cdde9f483fbbf2bbe53905f78
+EBUILD dswm-0.0.3.ebuild 1478 RMD160 9f45e267d6b0941396ac2bcb9a58fe6efa3353df SHA1 9c8e89faa4e1255294704e52ffa502d1a0254561 SHA256 9e9a9ff72e102e811db312202ff56679bd65013de536a9f87ae63595edeebac3
diff --git a/x11-wm/dswm/dswm-0.0.3.ebuild b/x11-wm/dswm/dswm-0.0.3.ebuild
new file mode 100644
index 0000000..af8ec4a
--- /dev/null
+++ b/x11-wm/dswm/dswm-0.0.3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-wm/dswm/dswm-0.0.3.ebuild,v 1.2 2011/04/25 20:36:20 betelgeuse Exp $
+
+EAPI="2"
+
+inherit common-lisp autotools eutils
+
+DESCRIPTION="Stumpwm is a tiling, keyboard driven X11 Window Manager written entirely in Common Lisp."
+# HOMEPAGE="http://www.nongnu.org/stumpwm/index.html"
+# SRC_URI="http://download.savannah.nongnu.org/releases/stumpwm/${P}.tgz"
+SRC_URI="http://sourceforge.net/projects/dswm/files/0.0.3-git/${P}-git.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="emacs doc"
+
+CLPACKAGE="dswm"
+
+DEPEND="dev-lisp/common-lisp-controller
+ =dev-lisp/sbcl-1.0.36-r1
+ dev-lisp/cl-clx
+ dev-lisp/cl-ppcre
+ doc? ( sys-apps/texinfo )"
+
+RDEPEND="x11-base/xorg-server
+ emacs? ( app-emacs/slime )"
+
+src_prepare() {
+ mv ${P}-git/* .
+ rm -rf ${P}-git/
+ eautoconf
+}
+
+src_configure() {
+ ## sed "s,@PACKAGE_VERSION@,$PV,g" version.lisp.in > version.lisp
+ ## autocnof
+ ##./configure --prefix=/usr --with-lisp=sbcl || die
+ # autoconf
+ econf \
+ --prefix=/usr --with-lisp=sbcl ${myconf}
+}
+
+src_compile() {
+ emake
+ use doc && makeinfo dswm.texi
+}
+
+src_install() {
+ common-lisp-install *.lisp dswm.asd
+ common-lisp-system-symlink
+ emake destdir=${D} install
+ dodoc README NEWS ChangeLog "${FILESDIR}/README.Gentoo" || die
+ use doc && doinfo dswm.info
+}
+
+pkg_postinst() {
+ common-lisp_pkg_postinst
+ cat "${FILESDIR}/README.Gentoo"
+}
diff --git a/x11-wm/dswm/files/README.Gentoo b/x11-wm/dswm/files/README.Gentoo
new file mode 100644
index 0000000..0d629f6
--- /dev/null
+++ b/x11-wm/dswm/files/README.Gentoo
@@ -0,0 +1,8 @@
+
+This file is installed in /usr/share/doc/stumpwm-cvs-*/README.Gentoo.gz
+
+DSWM notes for portage-based distros
+------------------------
+
+NOTE: We have an irc channel #dswm for any questions
+ also you can follow us on twitter: dss_de